%define upstream_name    Data-Util
%define upstream_version 0.67

%{?perl_default_filter}

%global __requires_exclude  %{?__requires_exclude:%{__requires_exclude}|^perl\\(Data::Util/PurePerl\\)}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Exports subroutines lexically
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(ExtUtils::ParseXS) >= 3.180.0
BuildRequires: perl(Hash::Util::FieldHash::Compat)
BuildRequires: perl(Module::Build) >= 0.400.500
BuildRequires: perl(Module::Build::XSUtil) >= 0.190.0
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(Test::Exception) >= 0.270.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl-devel

%description
This module provides utility functions for data and data types, including
functions for subroutines and symbol table hashes (stashes).

The implementation of this module is both Pure Perl and XS, so if you have
a C compiler, all the functions this module provides are really faster.

There are many benchmarks in the _DIST-DIR/benchmark/_ directory.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

# Fix permissions
%_fixperms %{buildroot}%{perl_vendorarch}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml example
%{_mandir}/man3/*
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/


%changelog
* Mon Jan 20 2025 wally <wally> 0.670.0-5.mga10
+ Revision: 2140081
- rebuild with perl-5.40.0-3.mga10
- fix .so module file permissions and debug info extraction

* Fri Aug 23 2024 tv <tv> 0.670.0-4.mga10
+ Revision: 2089622
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 0.670.0-3.mga10
+ Revision: 2012313
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 0.670.0-2.mga9
+ Revision: 1875086
- Rebuild for perl-5.36

* Fri Mar 18 2022 tv <tv> 0.670.0-1.mga9
+ Revision: 1798265
- update to 0.67

* Thu Mar 17 2022 umeabot <umeabot> 0.660.0-8.mga9
+ Revision: 1795278
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 0.660.0-7.mga8
+ Revision: 1606973
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 0.660.0-6.mga8
+ Revision: 1508319
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.660.0-5.mga7
+ Revision: 1292704
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.660.0-4.mga7
+ Revision: 1250088
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.660.0-3.mga7
+ Revision: 1163837
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.660.0-2.mga7
+ Revision: 1149605
- Rebuild for perl ABI changes

* Mon Jul 24 2017 sander85 <sander85> 0.660.0-1.mga7
+ Revision: 1130018
- update to 0.66
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.630.0-9.mga6
+ Revision: 1024950
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.630.0-8.mga6
+ Revision: 957062
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 sander85 <sander85> 0.630.0-7.mga6
+ Revision: 865019
- Fix build with perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.630.0-6.mga5
+ Revision: 789646
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.630.0-5.mga5
+ Revision: 750304
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.630.0-4.mga5
+ Revision: 732786
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.630.0-3.mga5
+ Revision: 684252
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.630.0-2.mga5
+ Revision: 631053
- Rebuild for perl 5.20

* Thu Mar 13 2014 jquelin <jquelin> 0.630.0-1.mga5
+ Revision: 602863
- update to 0.63

* Sat Oct 19 2013 umeabot <umeabot> 0.620.0-2.mga4
+ Revision: 524836
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.620.0-1.mga4
+ Revision: 431577
- update to 0.62
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.600.0-2.mga3
+ Revision: 365528
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.600.0-1.mga3
+ Revision: 315011
- update to 0.60

* Wed May 30 2012 jquelin <jquelin> 0.590.0-2.mga3
+ Revision: 250483
- rebuild for perl 5.16

* Sat Nov 05 2011 kharec <kharec> 0.590.0-1.mga2
+ Revision: 163778
- update to 0.59

* Sun Jun 12 2011 sander85 <sander85> 0.580.0-3.mga2
+ Revision: 105155
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.580.0-2.mga2
+ Revision: 32745
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.580.0-1.mga1
+ Revision: 30091
- mageia rebuild
- cleaning spec file
- imported package perl-Data-Util


* Sat Jan 15 2011 cpan2dist 0.58-1mdv
- initial mdv release, generated with cpan2dist
